Bug 127238 - desktop mail icon calls Mozilla without "-mail"
desktop mail icon calls Mozilla without "-mail"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 22:26 EDT by Juan Carlos Castro y Castro
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 03:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My hacked version of launchmail (2.92 KB, text/plain)
2004-07-04 22:28 EDT, Juan Carlos Castro y Castro
no flags Details

  None (edit)
Description Juan Carlos Castro y Castro 2004-07-04 22:26:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040620

Description of problem:
Mozilla has been set as the default mail viewer. When I click on the
mail desktop icon, the web browser comes up instead. I found out the
/usr/bin/launchmail script calls the mozilla binary withoput the -mail
argument.

Version-Release number of selected component (if applicable):
htmlview-3.0.0-4

How reproducible:
Always

Steps to Reproduce:
1. Install latest version of Mozilla suite (I used RPMs from the
Seamonkey repository)
2. In Application Preferences, select Mozilla Mail as your mail client
3. Click on the "Email" panel icon.

Actual Results:  The Mozilla browser comes up.

Expected Results:  Mozilla Mail should have been called.

Additional info:

I have solved this problem (for me at least) by editing the launchmail
script. It originally ripped out any arguments from the command line,
and executed the binary with no options. My hacked version preserves
any parameter that may have been included.
Comment 1 Juan Carlos Castro y Castro 2004-07-04 22:28:40 EDT
Created attachment 101626 [details]
My hacked version of launchmail

This /usr/bin/launchmail rips out parameters from the command string taken off
gconf for the sole purpose of testing the existence of the binary -- it is
later executed with parameters.
Comment 2 David Zambonini 2004-09-20 08:45:03 EDT
I also ran into this and came to the same conclusion - launchmail is
erroneously stripping parameters from the given command line,
preventing mozilla mail from being launched - Juans' changes solve
this issue.

I realise that we will see this behaviour change in gnome 2.8, but can
we have this bugfix put in please?
Comment 3 Warren Togami 2005-04-25 03:18:16 EDT
Fixed in FC3.

Note You need to log in before you can comment on or make changes to this bug.